## pygobject 3.22.0

=== debian/changelog ===
pygobject (3.22.0-2) unstable; urgency=medium

  * Temporarily disable pep8 during the build. Closes: #844924.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 12 Dec 2016 20:37:34 +0100

pygobject (3.22.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 19:14:05 +0200

pygobject (3.21.92-1) unstable; urgency=medium

  * New upstream development release.
  * Drop patches which have been merged upstream.

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Sep 2016 15:02:27 +0200

pygobject (3.21.91-2) unstable; urgency=medium

  [ Aurelien Jarno ]
  * Fix wrong enum to hash conversion on 64-bit big endian. (Closes: #835413)

  [ Michael Biebl ]
  * Use dbus-run-session instead of dbus-launch to run the tests.
    (Closes: #836049)
  * Handle nullable filename parameters. This fixes a test suite error in
    test_spawn_async_with_pipes triggered by an annotation change in glib.
  * Drop override for dh_python2, no longer needed.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Sep 2016 00:02:14 +0200

pygobject (3.21.91-1) experimental; urgency=medium

  * New upstream beta release.
  * Set Maintainer to Debian GNOME Maintainers
  * Add python{,3}-setuptools to build-dependencies
    - as needed in debian/rules clean by the new setup.py

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 26 Aug 2016 10:57:27 +0200

pygobject (3.21.0-1) experimental; urgency=medium

  [ Michael Biebl ]
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.

  [ Andreas Henriksson ]
  * New upstream development release.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Aug 2016 13:31:24 +0200

pygobject (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches/git_fix_test_build.patch, merged upstream.
  * Bump Standards-Version to 3.9.8.
  * Do not create automatic dbgsym packages as we already build specialised
    dbg packages.

 -- Michael Biebl <biebl@debian.org>  Tue, 03 May 2016 23:20:01 +0200

pygobject (3.20.0-2) unstable; urgency=medium

  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Remove obsolete migration code from pre-wheezy.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 Apr 2016 01:29:44 +0200

pygobject (3.20.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump build-dependency according to configure.ac changes:
    - gobject-introspection (>= 1.46.0)
  * Fix FTBFS by adding debian/patches/git_fix_test_build.patch from upstream

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 02 Apr 2016 15:39:49 +0200
