=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: pygobject
Section: python
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               python-all-dev (>= 2.6.6-3~),
               python3-all-dev,
               python-setuptools,
               python3-setuptools,
               libglib2.0-dev (>= 2.38.0),
               libcairo2-dev,
               libffi-dev (>= 3.0.5),
               gobject-introspection (>= 1.46.0),
               libgirepository1.0-dev (>= 1.39.0),
               python-cairo-dev (>= 1.2.0),
               python3-cairo-dev (>= 1.10.0+dfsg-3),
               xsltproc,
               xvfb,
               xauth,
               dbus (>= 1.8),
               at-spi2-core,
               locales,
               docbook-xsl,
# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=844924
#               pep8,
               pyflakes,
               python-all-dbg,
               python3-all-dbg,
               python-apt-dbg,
               python-cairo-dbg,
               gir1.2-glib-2.0 (>= 1.39.0),
               gir1.2-freedesktop (>= 1.39.0),
               gir1.2-gtk-3.0,
               dh-autoreconf,
               dh-python,
X-Python-Version: >= 2.7
Standards-Version: 3.9.8
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pygobject
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pygobject/
Homepage: https://wiki.gnome.org/Projects/PyGObject

Package: python-gi
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-glib-2.0 (>= 1.39.0)
Provides: ${python:Provides}
Suggests: python-gi-cairo
Breaks: python-aptdaemon (<< 1.0),
        software-center (<= 5.6.0-0ubuntu2)
Description: Python 2.x bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 2.x binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python.

Package: python3-gi
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-glib-2.0 (>= 1.39.0)
Description: Python 3 bindings for gobject-introspection libraries
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.

Package: python-gi-cairo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version}),
         python-cairo
Description: Python Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gi-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version})
Description: Python bindings for the GObject library (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.
 .
 This package contains the extensions built for the Python debug interpreter.

Package: python3-gi-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (= ${binary:Version})
Description: Python 3 bindings for gobject-introspection libraries (debug extension)
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 binding generator for libraries that
 support gobject-introspection, i. e. which ship a gir1.2-<name>-<version>
 package. With these packages, the libraries can be used from Python 3.
 .
 This package contains the extensions built for the Python 3 debug interpreter.

Package: python-gi-dev
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python-gi (= ${binary:Version}),
         python3-gi (= ${binary:Version}),
         libglib2.0-dev (>= 2.35.9),
         libffi-dev (>= 3.0.5)
Description: development headers for GObject Python bindings
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the development headers needed to build C extensions
 which use pygobject.

Package: python3-gi-cairo
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-gi (= ${binary:Version}),
         python3-cairo (>= 1.10.0+dfsg-3~exp2)
Description: Python 3 Cairo bindings for the GObject library
 GObject is an abstraction layer that allows programming with an object
 paradigm that is compatible with many languages. It is a part of Glib,
 the core library used to build GTK+ and GNOME.
 .
 This package contains the Python 3 Cairo bindings for GObject. It is mostly
 used by other bindings to map their GObjects to Python objects.

Package: python-gobject
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         python-gi (>= ${source:Version}),
         python-gobject-2
Description: Python 2.x bindings for GObject - transitional package 
 This package will bring the two versions of GObject Python modules: the 
 deprecated gobject module, and the new gobject-introspection system. It 
 is here for upgrade purposes only. You can remove it safely when 
 nothing else depends on it.

Package: python-gobject-dbg
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         python-gi-dbg (>= ${source:Version}),
         python-gobject-2-dbg
Description: Python 2.x debugging modules for GObject - transitional package 
 This package will bring the two debugging versions of GObject Python 
 modules: one for the deprecated gobject module, and one for the new 
 gobject-introspection system. It is here for upgrade purposes only. 
 You can remove it safely when nothing else depends on it.

Package: python-gobject-dev
Section: oldlibs
Priority: extra
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         python-gi-dev (>= ${source:Version}),
         python-gi-dev (<< ${source:Version}.1~),
         python-gobject-2-dev
Description: Python 2.x development headers for GObject - transitional package 
 This package will bring development headers for the two versions of 
 GObject Python modules: the deprecated gobject module, and the new 
 gobject-introspection system. It is here for upgrade purposes only. You 
 can remove it safely when nothing else depends on it.
