## pygobject 3.24.1

=== debian/changelog ===
pygobject (3.24.1-6) unstable; urgency=medium

  * Build-Depend on gir1.2-gtk-3.0 for build tests
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.1
    - Stop using obsolete Priority: extra
  * Add closure-fix-unaligned-access.patch:
    - Fix sparc64 build, thanks James Clarke! (Closes: #878317)

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Nov 2017 09:22:42 -0500

pygobject (3.24.1-5) unstable; urgency=medium

  * Mark some dependencies as only needed for build tests
  * Don't Build-Depend on gir1.2-gtk-3.0: apparently not needed

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 04 Nov 2017 19:19:41 -0400

pygobject (3.24.1-4) unstable; urgency=medium

  * Temporarily don't run build tests on non-Linux to unblock
    dependency issue with those buildds

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 03 Nov 2017 13:24:34 -0400

pygobject (3.24.1-3) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Release to unstable (Closes: #870837)
  * Bump Standards-Version to 4.1.0

  [ Iain Lane ]
  * Revert the last upload (Build-Conflicts) - the offending package is
    removed.

 -- Iain Lane <laney@debian.org>  Thu, 31 Aug 2017 00:29:26 +0100

pygobject (3.24.1-2) experimental; urgency=medium

  * debian/control{,.in}: Build-Conflict with
    open-infrastructure-locales-c.utf-8. This package gratutiously breaks our
    testsuite because it provides 'locales' without actually providing all the
    functionality of the locales package (specifically
    /usr/share/i18n/charmaps in our case). See #859912.

 -- Iain Lane <laney@debian.org>  Thu, 11 May 2017 13:47:21 +0100

pygobject (3.24.1-1) experimental; urgency=medium

  * New upstream release 3.24.1
  * debian/rules: Run the pep8 tests non-fatally

 -- Iain Lane <laney@debian.org>  Wed, 10 May 2017 18:04:04 +0100
