=== debian/control ===
--- 
+++ 
@@ -6,9 +6,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Emilio Pozuelo Monfort <pochu@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 10),
+               dh-python,
                dpkg-dev (>= 1.16.1~),
+               gir1.2-gtk-3.0 <!nocheck>,
                gnome-common,
                gnome-pkg-tools (>= 0.10),
                python-all-dev (>= 2.6.6-3~),
@@ -23,26 +25,20 @@
                python-cairo-dev (>= 1.2.0),
                python3-cairo-dev (>= 1.10.0+dfsg-3),
                xsltproc,
-               xvfb,
-               xauth,
+               xvfb <!nocheck>,
+               xauth <!nocheck>,
                dbus (>= 1.8),
                at-spi2-core,
                locales,
                docbook-xsl,
-# see https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=844924
-#               pep8,
+               pep8,
                pyflakes,
                python-all-dbg,
                python3-all-dbg,
                python-apt-dbg,
                python-cairo-dbg,
-               gir1.2-glib-2.0 (>= 1.39.0),
-               gir1.2-freedesktop (>= 1.39.0),
-               gir1.2-gtk-3.0,
-               dh-autoreconf,
-               dh-python,
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pygobject
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pygobject/
 Homepage: https://wiki.gnome.org/Projects/PyGObject
@@ -101,7 +97,6 @@
 
 Package: python-gi-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python:Depends},
@@ -120,7 +115,6 @@
 
 Package: python3-gi-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
@@ -173,7 +167,6 @@
 
 Package: python-gobject
 Section: oldlibs
-Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
@@ -187,7 +180,6 @@
 
 Package: python-gobject-dbg
 Section: oldlibs
-Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
@@ -201,7 +193,6 @@
 
 Package: python-gobject-dev
 Section: oldlibs
-Priority: extra
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
