=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with python2,python3,autoreconf,gnome
+	dh $@ --with python2,python3,gnome
 
 override_dh_auto_configure:
 	set -e && for x in $(FLAVOURS); do \
@@ -32,6 +32,8 @@
 # don't run the tests under fakeroot, otherwise they will try to connect to
 # root's session D-BUS
 override_dh_auto_test:
+ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
+ifeq ($(DEB_HOST_ARCH_OS), linux)
 	set -e; export HOME=$(CURDIR)/debian/tmp/home; mkdir -p $$HOME/.local/share; unset LD_PRELOAD; \
 	for x in $(PYVERS); do \
 	        xvfb-run dh_auto_test --builddirectory=build-$$x || $(TESTSUITE_FAIL_CMD); \
@@ -39,6 +41,10 @@
 	        xvfb-run dh_auto_test --builddirectory=build-$$x-dbg || $(NON_FATAL); \
 	        while [ -e /tmp/.X99-lock ]; do echo "Waiting for xvfb to finish..."; sleep 0.5; done; \
 	done;
+	# run the pep8 test but don't fail on it
+	cd build-$(shell py3versions -v -d) && $(MAKE) check.quality || $(NON_FATAL)
+endif
+endif
 
 # we remove stuff that we do not need, and rename the *.so modules to what
 # Python expects for that flavor (http://www.python.org/dev/peps/pep-3149/)
