## pygobject 3.26.1

=== debian/changelog ===
pygobject (3.26.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 15 Dec 2017 20:50:28 -0500

pygobject (3.26.1-1) unstable; urgency=medium

  * New upstream release (Closes: #879638)
    - Bump pycairo requirement to 1.11.1
    - Switch build-dep from gnome-common to autoconf-archive (Closes: #829934)
    - Drop all patches, they have been merged upstream
  * debian/control.in:
    - Drop python-gobject-dev and python-gobject-dbg transitional packages,
      nothing depends against it anymore (Closes: #878781)
  * debian/rules: Run the test with locale C.UTF-8
  * debian/*.lintian-overrides: Drop unused lintian overrides
  * debian/rules: Do not call dh_makeshlibs during build, for some reasons the
    python bindings are build with a SONAME set and this causes dh_makeshlibs
    to create a shlibs file and to trigger ldconfig.

 -- Laurent Bigonville <bigon@debian.org>  Sun, 19 Nov 2017 23:40:08 +0100
