=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Section: python
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                gir1.2-gtk-3.0 <!nocheck>,
-               gnome-common,
+               autoconf-archive,
                gnome-pkg-tools (>= 0.10),
                python-all-dev (>= 2.6.6-3~),
                python3-all-dev,
@@ -22,8 +22,8 @@
                libffi-dev (>= 3.0.5),
                gobject-introspection (>= 1.46.0),
                libgirepository1.0-dev (>= 1.39.0),
-               python-cairo-dev (>= 1.2.0),
-               python3-cairo-dev (>= 1.10.0+dfsg-3),
+               python-cairo-dev (>= 1.11.1),
+               python3-cairo-dev (>= 1.11.1),
                xsltproc,
                xvfb <!nocheck>,
                xauth <!nocheck>,
@@ -38,9 +38,10 @@
                python-apt-dbg,
                python-cairo-dbg,
 X-Python-Version: >= 2.7
-Standards-Version: 4.1.1
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/desktop/unstable/pygobject
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/pygobject/
+X-Python3-Version: >= 3.3
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/pygobject.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-gnome/pygobject.git
 Homepage: https://wiki.gnome.org/Projects/PyGObject
 
 Package: python-gi
@@ -86,7 +87,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python-gi (= ${binary:Version}),
-         python-cairo
+         python-cairo (>= 1.11.1)
 Description: Python Cairo bindings for the GObject library
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -156,7 +157,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          python3-gi (= ${binary:Version}),
-         python3-cairo (>= 1.10.0+dfsg-3~exp2)
+         python3-cairo (>= 1.11.1)
 Description: Python 3 Cairo bindings for the GObject library
  GObject is an abstraction layer that allows programming with an object
  paradigm that is compatible with many languages. It is a part of Glib,
@@ -177,30 +178,3 @@
  deprecated gobject module, and the new gobject-introspection system. It 
  is here for upgrade purposes only. You can remove it safely when 
  nothing else depends on it.
-
-Package: python-gobject-dbg
-Section: oldlibs
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         python-gi-dbg (>= ${source:Version}),
-         python-gobject-2-dbg
-Description: Python 2.x debugging modules for GObject - transitional package 
- This package will bring the two debugging versions of GObject Python 
- modules: one for the deprecated gobject module, and one for the new 
- gobject-introspection system. It is here for upgrade purposes only. 
- You can remove it safely when nothing else depends on it.
-
-Package: python-gobject-dev
-Section: oldlibs
-Architecture: all
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends},
-         python-gi-dev (>= ${source:Version}),
-         python-gi-dev (<< ${source:Version}.1~),
-         python-gobject-2-dev
-Description: Python 2.x development headers for GObject - transitional package 
- This package will bring development headers for the two versions of 
- GObject Python modules: the deprecated gobject module, and the new 
- gobject-introspection system. It is here for upgrade purposes only. You 
- can remove it safely when nothing else depends on it.
