=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 override_dh_auto_test:
 ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 ifeq ($(DEB_HOST_ARCH_OS), linux)
-	set -e; export HOME=$(CURDIR)/debian/tmp/home; mkdir -p $$HOME/.local/share; unset LD_PRELOAD; \
+	set -e; LC_ALL=C.UTF-8; export HOME=$(CURDIR)/debian/tmp/home; mkdir -p $$HOME/.local/share; unset LD_PRELOAD; \
 	for x in $(PYVERS); do \
 	        xvfb-run dh_auto_test --builddirectory=build-$$x || $(TESTSUITE_FAIL_CMD); \
 	        while [ -e /tmp/.X99-lock ]; do echo "Waiting for xvfb to finish..."; sleep 0.5; done; \
@@ -77,10 +77,10 @@
 	dh_strip -ppython3-gi --dbg-package=python3-gi-dbg
 	dh_strip -a --remaining-packages --no-automatic-dbgsym
 
-override_dh_makeshlibs-arch:
-	dh_makeshlibs -ppython-gi  -V'python-gi (>= 3.4)'
-	dh_makeshlibs -ppython3-gi -V'python3-gi (>= 3.4)'
-	dh_makeshlibs -a --remaining-packages
+# Do not run dh_makeshlibs, for some reasons the python bindings are build with
+# a SONAME set and this causes dh_makeshlibs to create a shlibs file and to
+# trigger ldconfig.
+override_dh_makeshlibs:
 
 override_dh_clean:
 	rm -rf debian/install-*
