## pygobject 3.30.1

=== debian/changelog ===
pygobject (3.30.1-1ubuntu1) cosmic; urgency=medium

  * Suppress python{3,}-gi → python{3,}-cairo dependency. Since we moved to
    pybuild, we pick up a dependency from python{3,}-gi to python{3,}-cairo,
    because it is in requirements.txt.  Add a py3dist-overrides file to map
    this to the empty package, so that dh_python{3,} doesn't generate the
    dependency for us - it is unnecessary in python{3,}-gi and
    python{3,}-gi-cairo, which needs it, has it specified manually. (Closes:
    #909703)

 -- Iain Lane <iain.lane@canonical.com>  Mon, 15 Oct 2018 19:36:12 +0100

pygobject (3.30.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 15:31:05 -0400

pygobject (3.30.0-2) experimental; urgency=medium

  * Add revert-closure-typecasts-from-commit-25a5b066.patch
    - Apply Fedora workaround to fix build tests on some architectures

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Sep 2018 09:49:11 -0400

pygobject (3.30.0-1) experimental; urgency=medium

  * New upstream release
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 09 Sep 2018 10:05:42 -0400

pygobject (3.29.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop all patches, applied upstream
  * d/p/tests-don-t-assume-anything-about-sys.excepthook.patch:
    Add patch from upstream to fix test failure on Ubuntu with apport's
    sys.excepthook

 -- Simon McVittie <smcv@debian.org>  Sat, 18 Aug 2018 15:43:20 +0100

pygobject (3.29.2-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * d/copyright: Update
  * Build using setup.py and pybuild
  * Build-depend on python3-cairo-dbg so setup.py can import it
  * d/tests/gitest.py: Fix flake8 coding style warnings
  * d/p/gi-pygi-argument-Squash-critical-warning-when-using-array.patch,
    d/p/Add-override-for-GdkPixbuf.Pixbuf.new_from_data.-Fixes-22.patch,
    d/p/Gtk.Template-Remove-init_template-from-instance-not-class.patch,
    d/p/Gtk.Template-Add-test-for-second-instance-initialisation.patch,
    d/p/gtktemplate-Don-t-error-out-when-loading-a-resource-that-.patch,
    Add post-release bug fixes from upstream
  * d/p/Clear-error-indicator-before-calling-pygi_pyerr_format.patch:
    Add patch to fix build-time test failures
  * Build-depend on python3-flake8, since we run it
  * d/gbp.conf: Don't number patches

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Aug 2018 08:53:01 +0100

pygobject (3.28.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Set Rules-Requires-Root to no
  * Don't install detailed upstream ChangeLog, only NEWS
  * Standards-Version: 4.2.0
  * d/copyright: Remove trailing whitespace
  * Sort (build-)dependencies with wrap-and-sort -a
  * Remove X-Python(3)-Version fields that are satisfied by oldstable
  * Adjust override_dh_clean to avoid a Lintian false positive
  * d/tests/gitest.py: Don't fail on merged /usr systems

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Aug 2018 10:57:50 +0100

pygobject (3.28.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Apr 2018 16:55:29 -0400

pygobject (3.28.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on pytest
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11
  * debian/docs: AUTHORS and README are no longer provided

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 25 Mar 2018 18:59:29 -0400
