=== debian/changelog ===
pygobject (3.30.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:41:22 +0800

pygobject (3.30.4-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 14 Dec 2018 10:36:17 -0500

pygobject (3.30.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 18 Nov 2018 10:18:19 -0500

pygobject (3.30.1-2) unstable; urgency=medium

  * Suppress python{3,}-gi → python{3,}-cairo dependency. Since we moved to
    pybuild, we pick up a dependency from python{3,}-gi to python{3,}-cairo,
    because it is in requirements.txt. Add a py3dist-overrides file to map
    this to the empty package, so that dh_python{3,} doesn't generate the
    dependency for us - it is unnecessary in python{3,}-gi and
    python{3,}-gi-cairo, which needs it, has it specified manually. (Closes:
    #909703)

 -- Iain Lane <laney@debian.org>  Thu, 25 Oct 2018 12:42:37 +0100
