## pygobject 3.32.0

=== debian/changelog ===
pygobject (3.32.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Mar 2019 12:59:34 -0400

pygobject (3.31.4-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib to 2.48.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 08 Mar 2019 09:45:40 -0500
