## pygobject 3.34.0

=== debian/changelog ===
pygobject (3.34.0-3~mx19+1) stable; urgency=medium

  * Repackage of upstream release.
  * Add X-Python3-Version: >= 3.6 to control.in file

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Wed, 29 Jan 2020 21:02:05 -0400

pygobject (3.34.0-3) unstable; urgency=medium

  * Team upload
  * d/copyright: Add copyright holder for autopkgtest
  * d/control.in: Remove python-gobject transitional package.
    It has been moved to src:pygobject-2 so that it naturally goes away
    when python-gobject-2 does.
  * d/tests/build: Improve diagnostics on failure
  * d/tests/control: Fix dependencies for python3.x-dbg

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2019 20:55:14 +0000

pygobject (3.34.0-2) unstable; urgency=medium

  * Team upload
  * Remove unused build-dependency on python-apt-dbg.
    It doesn't seem to be used anywhere, and removing it has no effect
    on the built binary packages (verified with diffoscope).
  * d/tests/python2*: Use python2, not python.
    Thanks to Matthias Klose. (Closes: #943428)
  * d/rules: Fail the build if any files are built but not installed
  * d/rules: Delete *.pyc files before running dh_missing
  * Fix installation of extensions for Python 3.8.
    Thanks to Matthias Klose. (Closes: #943430)
  * d/tests/build2: Test embedding with Python 2
  * d/tests/build, d/tests/python3-all: Test all supported Python versions

 -- Simon McVittie <smcv@debian.org>  Sat, 16 Nov 2019 10:49:25 +0000

pygobject (3.34.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Sep 2019 16:30:01 +0200

pygobject (3.33.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 20 Aug 2019 16:32:37 +0200

pygobject (3.32.2-1) unstable; urgency=medium

  * New upstream release:
    - Python 3.8b1 compatibility fixes

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Aug 2019 18:03:16 +0200
