=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python2,python3,gnome --buildsystem=pybuild
+	dh $@ --with python3,gnome --buildsystem=pybuild
 
 # don't run the tests under fakeroot, otherwise they will try to connect to
 # root's session D-BUS
@@ -42,10 +42,23 @@
 endif
 endif
 
+override_dh_python3:
+	dh_python3 -O--buildsystem=pybuild
+	find debian/python3-gi-cairo  debian/python3-gi -name '*.cpython-*dm-*so' | xargs -r rm -fv
+
 override_dh_auto_install:
 	dh_auto_install
 	mkdir debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv debian/tmp/usr/lib/pkgconfig debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+
+override_dh_install:
+	rm -fr debian/tmp/usr/lib/python*/dist-packages/__pycache__
+	rm -fr debian/tmp/usr/lib/python*/dist-packages/*/__pycache__
+	rm -fr debian/tmp/usr/lib/python*/dist-packages/*/*/__pycache__
+	rm -f debian/tmp/usr/lib/python*/dist-packages/*.pyc
+	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*.pyc
+	rm -f debian/tmp/usr/lib/python*/dist-packages/*/*/*.pyc
+	dh_install
 
 override_dh_strip-arch:
 	dh_strip -ppython-gi --dbg-package=python-gi-dbg
@@ -60,3 +73,9 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -XChangeLog
+
+override_dh_missing:
+	dh_missing --fail-missing
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xvirtualbox-guest-x11 --ignore-missing-info
