=== debian/tests/control ===
Tests: build
Depends: build-essential, python-gi-dev, python3-all-dbg, python3-all-dev, python3-gi-dbg

Tests: build3
Depends: build-essential, python-gi-dev, python3-dev

Tests: build2
Depends: build-essential, python-gi-dev, python2-dev

Tests: python2 python3
Depends: python-gi, python3-gi, gir1.2-glib-2.0

Tests: python2-dbg python3-dbg
Depends: python-gi-dbg, python3-gi-dbg, gir1.2-glib-2.0

Tests: python3-all
Depends: python3-gi, python3-gi-dbg, gir1.2-glib-2.0, python3-all, python3-all-dbg
